Package org.eclipse.net4j.util.ui.views

# Class ContainerItemProvider.ErrorElement

java.lang.Object
org.eclipse.net4j.util.ui.views.ContainerItemProvider.ErrorElement

Enclosing class:
  `ContainerItemProvider<CONTAINER extends IContainer<Object>>`

public class ContainerItemProvider.ErrorElement extends Object

Since:
  3.1
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ErrorElement(IContainer<Object> container)`

## Method Summary

Modifier and Type
Method
Description
`IContainer<Object>`
`getContainer()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ErrorElement

public ErrorElement(IContainer<Object> container)

## Method Details

### getContainer

public IContainer<Object> getContainer()

### toString

public String toString()

Overrides:
  `toString` in class `Object`